Name:		fldigi
Version:	3.21.49
Release:	1%{?dist}
Summary:	Digital modem program for Linux
Group:		Applications/Communications
License:	GPLv3+	
URL:		http://www.w1hkj.com/Fldigi.html
Source0:	http://www.w1hkj.com/downloads/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	hamlib-devel
BuildRequires:	fltk-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	portaudio-devel >= 19-4
BuildRequires:	libsndfile-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libsamplerate-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	xmlrpc-c-devel
BuildRequires:	gettext
BuildRequires:	libXinerama-devel

Provides:	flarq
Provides:	%{name}-shell

%description
Fldigi is a modem program which supports most of the digital modes used by 
ham radio operators today. You can also use the program for calibrating your 
sound card to WWV or doing a frequency measurement test. The program also comes 
with a CW decoder. fldigi is written with the help of the Fast Light Toolkit X 
GUI. Fldigi is a fast moving project many added features with each update.

Flarq (Fast Light Automatic Repeat Request) is a file transfer application
that is based on the ARQ specification developed by Paul Schmidt, K9PS.
It is capable of transmitting and receiving frames of ARQ data via fldigi.

The fldigi-shell program controls fldigi over HTTP via XML-encoded
remote procedure calls (XML-RPC). It can call any XML-RPC method
exported by fldigi, and also defines some useful commands of its own.

%prep
%setup -q -n %{name}-%{version}

# Fix spurious executeable
chmod 644 ./src/olivia/olivia.cxx


%build
%configure
make -k %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" LIBS="-lm -lX11 -lpthread"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="" \
	--dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop \
$RPM_BUILD_ROOT%{_datadir}/applications/flarq.desktop
# --vendor obsolete per new guidlines but leaving it in because
# this is an existing package with vendor previously installed
# fldigi-shell is cli no .desktop needed

%find_lang %{name}

# Remove INSTALL file has no relevance to Fedora package install.
rm INSTALL

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_bindir}/*
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/pixmaps/flarq.xpm 
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/flarq.1.gz
%{_mandir}/man1/%{name}-shell.1.gz
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(0644,root,root) %{_datadir}/applications/flarq.desktop
%{_datadir}/%{name}/NAVTEX_Stations.csv


%changelog
* Fri Aug 3 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.49-1
- Upstream upddate to 3.21.49
* Mon May 14 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.41-1
- Upstream upddate to 3.21.41
- Fix deps for F18/Rawhide
* Sat Jan 28 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.37-2
- Upstream upddate to 3.21.37
- Remove patches fixed upstream
- Correct source URL
* Sat Jan 28 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.37-1
- Upstream upddate to 3.21.37
* Sun Jan 15 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.35-2
- Add patches for testing error correction
- Update rawhide builds
* Sun Jan 15 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.35-1
- Upstream upddate to 3.21.35
- Rebuild against gcc 4.7
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.21.34-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild
* Mon Jan 2 2012 Randall J. Berry, N3LRX <dp67@fedoraproject.org> - 3.21.34-2
- Test Build Against FLTK 1.3
* Thu Dec 28 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.34-1
- Test Build Against FLTK 1.3
- Remove patches
* Fri Sep 9 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.14-2
- Testing apply patches for panel.cxx
* Fri Sep 9 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.14-1
- Upstream update to 3.21.14
- Remove patch applied upstream
* Sun Jun 12 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.11-4
- Correct my mistake in update request.
* Sun Jun 12 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.11-4
- Upload and build
* Sun Jun 12 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.11-3
- Removed --disable-nls temporary fix
- Apply Patch0 by Kamal Mostafa, KA6MAL
- Fixes crash when started (bug #708696)
- Added provides fldigi-shell, flarq
* Sat Jun 11 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.11-2
- Upload source to git (F15)
- Build for F15
* Sat Jun 11 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.11-1
- Upstream update (alpha)
- Build with --disable-nls as a temporary measure to prevent crash on startup (bug #708696)
- Temporary disable of i18n (bug #708696)
* Sat Jun 4 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.10-3
- Successful local build F14
- Test build on koji F14
* Sat Jun 4 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.10-2
- Removed patches 
- Test build for Rawhide
* Sat Jun 4 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.10-1
- Apply upstream patches dup_defines.diff
* Thu May 26 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.9-3
- Added Panel.cxx patch1 to fix int error.
* Thu May 26 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.9-2
- Added BuildRequires:	libXinerama-devel
* Thu May 26 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.9-1
- Upstream update 3.21.9
- Fix broken deps for Rawhide/F16
* Thu Mar 24 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.21.7-1
- Upstream update 3.21.7
- Rebiuld fix broken deps on mas rebuild
* Sun Feb 27 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.20.34-4
- Rebiuld fix broken deps on mas rebuild
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.20.34-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Tue Feb 1 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.20.34-2
- Rebiuld fix broken perl deps
* Thu Jan 13 2011 Randall J. Berry <dp67@fedoraproject.org> - 3.20.34-1
- Upstream update 3.20.34
* Thu Dec 2 2010 Randall J. Berry <dp67@fedoraproject.org> - 3.20.32-1
- Upstream update 3.20.32
* Sat Nov 6 2010 Randall J. Berry <dp67@fedoraproject.org> - 3.20.29-1
- Upstream update to 3.20.29
- Correct source link
* Wed Oct 20 2010 Randall J. Berry <dp67@fedoraproject.org> - 3.20.28-3
- Rebuild for binutils on rawhide x86_64
* Wed Oct 13 2010 Randall J. Berry <dp67@fedoraproject.org> - 3.20.28-2
- Rebuild for libxmlrpc_*.so.7 BZ 641904
* Tue Oct 12 2010 Randall J. Berry <dp67@fedoraproject.org> - 3.20.28-1
- Upstream Update 3.20.28
* Tue Oct 12 2010 Randall J. Berry <dp67@fedoraproject.org> - 3.20.27-2
- Rebuild for broken dep xmlrpc BZ 641904
* Sun Sep 5 2010 Randall J. Berry <dp67@fedoraproject.org> - 3.20.27-1
- Upstream update to 3.20.27
- Added call to Abort_ARQ when double ESC pressed (panic)
- Added supporting code in modem class.
* Fri Sep 3 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.25-2
- Rebuild for broken deps F14
* Mon Aug 30 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.25-1
- Upstream update 3.20.25
* Sat Aug 28 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.24-1
- Upstream update to 3.20.24
- Rebuild for F15-Rawhide
* Sat Aug 7 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.22-1
- Upstream update to 3.20.22
- Cleanup spec
* Thu Jul 29 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.20-4
- F14/Devel rebuild
- Correct date in changelog
* Thu Jul 29 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.20-3
- F14/Devel rebuild
* Thu Jul 29 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.20-2
- Testing Git
* Thu Jul 22 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.20-1
- Upstream update to 3.20.20
- Fixed spurious exe perms on /src/olivia/olivia.cxx
* Wed Jun 30 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.19-1
- Upstream update to 3.20.19
* Wed Jun 30 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.18-1
- Upstream update to 3.20.18
* Wed Jun 23 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.17-1
- Upstream update to 3.20.17
* Tue Jun 22 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.16-2
- Make notattion in description
* Sun Jun 20 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.16-1
- Upstream update 3.20.16
- License change from GPLv2+ to GPLv3
* Fri Jun 11 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.15-2
- fix date in changelog
* Fri Jun 11 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.15-1
- Upstream update 3.20.15
* Mon May 24 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.12-2
- fix broken deps
* Sun May 23 2010 Randall J. Berry <dp67@fedoraproject.com> 3.20.12-1
- Upstream update 3.20.12
- Fix URLs
- Many features added this version
- See http://www.w1hkj.com/Fldigi.html for details
* Thu Apr 22 2010 Randall J. Berry <dp67@fedoraproject.com> 3.12.5-1
- Upstream upgrade to 3.12.5
- Apply changes to spec to include pulseaudio as in bug 562515
- Added Buildeps pulseaudio-libs-devel, xmlrpc-c-devel (bug 562515)
- Added manpage generated by builddeps (bug 562515)
- Corrected spelling in description (bug 562515)
* Thu Apr 22 2010 Jon Ciesla <limb@jcomserv.net> - 3.11.6-3
- Correction for X11 DSO linking FTBFS, BZ 565116.
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.11.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Thu Jul 16 2009 Randall J. Berry <dp67@fedoraproject.com> 3.11.6-1
- Upstream upgrade to 3.11.6
- Remove fldigi-gcc44.patch (applied upstream)
- Man pages added upstream
* Sat Apr 25 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 3.10-3
- Fix FTBFS: added fldigi-gcc44.patch
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Mon Jan 19 2009 Randall J Berry 'Dp67' <dp67@fedoraproject.org> 3.10-1
- New upstream release
* Thu Dec 14 2008 Sindre Pedersen Bjørdal <sindrepb@fedoraproject.org> 3.03-1
- New upstream release
- Remove explicit libsamplerate dependency
* Fri Aug 22 2008 Steve Conklin <fedora@conklinhouse.com> - 3.01-1
- Latest upstream
* Mon Apr  7 2008 Steve Conklin <steve@conklinhouse.com> - 2.10.3-1
- Latest upstream - Bug fix for memory leak in psk signal evaluator.
* Thu Mar 13 2008 Steve Conklin <steve@conklinhouse.com> - 2.10.2-2
- Added requirement for libsamplerate
* Thu Mar 13 2008 Steve Conklin <steve@conklinhouse.com> - 2.10.2-1
- bugfix release from upstream
* Thu Mar 13 2008 Steve Conklin <steve@conklinhouse.com> - 2.10-1
- New upstream version
* Sat Feb 16 2008 Steve Conklin <sconklin at redhat dot com> 2.09-3
- adding desktop-file-install
* Thu Feb 14 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 2.09-2
- Submitting for Review
* Sun Jan 27 2008 Steve Conklin <steve@conklinhouse.com> 2.09-1
- New upstream 2.09 add mutistream decode.
* Sun Jan 27 2008 Steve Conklin <steve@conklinhouse.com> 2.08-3
- Added desktop file and inclued final upstream release of 2.08
* Tue Jan 08 2008 Steve Conklin <steve@conklinhouse.com> 2.08-2
- added buildrequires for libjpeg-devel, libpng-devel
* Tue Jan 08 2008 Steve Conklin <steve@conklinhouse.com> 2.08-1
- Rebase to 2.08b beta for upcoming release
* Wed Dec 12 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 2.05-
- Require most recent portaudio
* Thu Nov 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 2.05-1
- Add BRs
- New release
- Update License
- Add files list
* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 2.04-1
- Initial SPEC

